/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products.
* No other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws. 
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY
* LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT,
* INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR
* ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability 
* of this software. By using this software, you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2015, 2020 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : r_cg_it8bit.c
* Version      : Code Generator for RL78/I1C V1.01.06.01 [25 Nov 2020]
* Device(s)    : R5F10NPL
* Tool-Chain   : CCRL
* Description  : This file implements device driver for IT8Bit module.
* Creation Date: 24/3/2021
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include "r_cg_macrodriver.h"
#include "r_cg_it8bit.h"
/* Start user code for include. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */
#include "r_cg_userdefine.h"

/***********************************************************************************************************************
Pragma directive
***********************************************************************************************************************/
/* Start user code for pragma. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
/* Start user code for global. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
* Function Name: R_IT8Bit3_Channel0_Create
* Description  : This function initializes the 8 bit interval timer unit3 channel0.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_IT8Bit3_Channel0_Create(void)
{
    TRTCR3 |= _10_IT8BIT_CLOCK_SUPPLY;
    TSTART30 = 0U;  /* counting stops */
    ITMK30 = 1U;    /* disable INTIT30 interrupt */
    ITIF30 = 0U;    /* clear INTIT30 interrupt flag */
    /* Set INTIT30 low priority */
    ITPR130 = 1U;
    ITPR030 = 1U;
    TRTCR3 |= _00_IT8BIT_8BIT_COUNT_MODE;
    TRTMD3 |= _00_IT8BIT_CLOCK0_1;
    TRTCMP30 = _02_IT8BIT_CMP30_VALUE;
}
/***********************************************************************************************************************
* Function Name: R_IT8Bit3_Channel0_Start
* Description  : This function starts 8 bit interval timer unit3 Channel0 operation.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_IT8Bit3_Channel0_Start(void)
{
    ITIF30 = 0U;    /* clear INTIT30 interrupt flag */
    ITMK30 = 0U;    /* enable INTIT30 interrupt */
    TSTART30 = 1U;  /* counting starts */
}
/***********************************************************************************************************************
* Function Name: R_IT8Bit3_Channel0_Stop
* Description  : This function stops 8 bit interval timer unit3 Channel0 operation.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_IT8Bit3_Channel0_Stop(void)
{
    ITMK30 = 1U;    /* disable INTIT30 interrupt */
    ITIF30 = 0U;    /* clear INTIT30 interrupt flag */
    TSTART30 = 0U;  /* counting stops */
}

/* Start user code for adding. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */
