/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products.
* No other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws. 
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY
* LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT,
* INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR
* ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability 
* of this software. By using this software, you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2015, 2020 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : r_cg_lvd_user.c
* Version      : Code Generator for RL78/I1C V1.01.06.01 [25 Nov 2020]
* Device(s)    : R5F10NPL
* Tool-Chain   : CCRL
* Description  : This file implements device driver for LVD module.
* Creation Date: 5/12/2021
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include "r_cg_macrodriver.h"
#include "r_cg_lvd.h"
/* Start user code for include. Do not edit comment generated here */
#include "r_cg_cgc.h"
#include "r_cg_rtc.h"
/* End user code. Do not edit comment generated here */
#include "r_cg_userdefine.h"

/***********************************************************************************************************************
Pragma directive
***********************************************************************************************************************/
#pragma interrupt r_lvd_vrtcinterrupt(vect=INTLVDVRTC)
/* Start user code for pragma. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
/* Start user code for global. Do not edit comment generated here */
uint8_t g_bat_flag;
/* End user code. Do not edit comment generated here */




/***********************************************************************************************************************
* Function Name: r_lvd_vrtcinterrupt
* Description  : None
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
static void __near r_lvd_vrtcinterrupt(void)
{
    /* Start user code. Do not edit comment generated here */

    volatile uint32_t w_count;
 
    VRTCEN = 1U; //Initiate RTC Write
    NOP();
    
    if(LVDVRTCF == 0)
    {
	    /*Re-initializing Sub Clock*/
	    NOP();
	    if(RTCPORSR == 0x00) /*RTC Power-on Reset Flag */
	    {
    		SCMC = _10_CGC_SUB_OSC | _02_CGC_NORMAL_OSCILLATION;
    		XTSTOP = 0U;    /* XT1 oscillator operating */

    		/* Change the waiting time according to the system */
   		for (w_count = 0U; w_count <= CGC_SUBWAITTIME; w_count++)
   		{
      		  	NOP();
    		}

    		XT1SELDIS = 0U; /* enables clock supply */
		/* Set fSUB */
    		SELLOSC = 0U;   /* sub clock (fSX) */
		   
		R_RTC_Create();
		RTCPORSR = 0x01; /*RTC POR Flag*/
    		R_RTC_Start();
	    }

    }
    else
    {
	   g_bat_flag = 1;
    }
    /* End user code. Do not edit comment generated here */
}


/* Start user code for adding. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */
